Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.query.exp
Class EqualExpression

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.CompareEqualExpression
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.query.exp.EqualExpression

All Implemented Interfaces:
  Expression, JDBCExpression

Direct Known Subclasses:
  ContainsExpression

public class EqualExpression
extends CompareEqualExpression

Compares two values.

Constructor Summary
`EqualExpression(com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val1, com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val2)` Constructor.

Method Summary
`void` | `appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer buf, boolean val1Null, boolean val2Null)` Append the SQL for the comparison.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.query.exp.CompareEqualExpression
`appendOrdering, appendTo, compareValueToNull, getJoins, getValue1, getValue2, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EqualExpression

    public EqualExpression(com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val1,
                           com.solarmetric.rd.kodo.impl.jdbc.query.exp.JDBCValue val2)

  Constructor. Supply values to compare.

Method Detail

### appendTo

    public void appendTo(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer buf,
                         boolean val1Null,
                         boolean val2Null)

  Description copied from class: `CompareEqualExpression`
  Append the SQL for the comparison.

  Specified by:
    `appendTo` in class `CompareEqualExpression`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.